Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Path Parameters
project_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/ai/actor-projects/string/threads" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{ "id": "string", "deployment_id": "string", "actor_id": "string", "project_id": "string", "title": "string", "thread_kind": "string", "thread_visibility": "string", "thread_purpose": "string", "responsibility": "string", "reusable": true, "accepts_assignments": true, "capability_tags": [ "string" ], "status": "string", "system_instructions": "string", "last_activity_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "execution_state": null, "next_event_sequence": 0, "metadata": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "state_version": "string"}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}